Debian Bug report logs - #395858
libfile-homedir-perl: FTBFS: tests failed

version graph

Package: libfile-homedir-perl; Maintainer for libfile-homedir-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libfile-homedir-perl is src:libfile-homedir-perl.

Reported by: Julien Danjou <acid@debian.org>

Date: Sat, 28 Oct 2006 09:18:10 UTC

Severity: serious

Found in version libfile-homedir-perl/0.56-1

Fixed in versions libfile-homedir-perl/0.64-1, 0.56-1.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: submit@bugs.debian.org
Subject: libfile-homedir-perl: FTBFS: tests failed
Date: Sat, 28 Oct 2006 11:05:52 +0200
[Message part 1 (text/plain, inline)]
Package: libfile-homedir-perl
Version: 0.56-1
Severity: serious

Hello,

There was a problem while autobuilding your package:

> Automatic build of libfile-homedir-perl_0.56-1 on avidan by sbuild/i386 98
> Build started at 20061028-0017
> ******************************************************************************
> Checking available source versions...
> Fetching source files...
> Reading package lists...
> Building dependency tree...
> Need to get 33.6kB of source archives.
> Get:1 http://ftp.fr.debian.org sid/main libfile-homedir-perl 0.56-1 (dsc) [677B]
> Get:2 http://ftp.fr.debian.org sid/main libfile-homedir-perl 0.56-1 (tar) [31.3kB]
> Get:3 http://ftp.fr.debian.org sid/main libfile-homedir-perl 0.56-1 (diff) [1616B]
> Fetched 33.6kB in 0s (112kB/s)
> Download complete and in download only mode
> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.0.0)
> Build-Depends-Indep: perl (>= 5.8.0-7), libtest-pod-perl
> Checking for already installed source dependencies...
> debhelper: missing
> perl: already installed (5.8.8-6.1 >= 5.8.0-7 is satisfied)
> libtest-pod-perl: missing
> Checking for source dependency conflicts...
>   /usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install debhelper libtest-pod-perl
> Reading package lists...
> Building dependency tree...
> The following extra packages will be installed:
>   file gettext gettext-base html2text intltool-debian libio-stringy-perl
>   libmagic1 libpod-escapes-perl libpod-simple-perl po-debconf
> Suggested packages:
>   dh-make cvs gettext-doc
> Recommended packages:
>   curl wget lynx libmail-sendmail-perl libcompress-zlib-perl
> The following NEW packages will be installed:
>   debhelper file gettext gettext-base html2text intltool-debian
>   libio-stringy-perl libmagic1 libpod-escapes-perl libpod-simple-perl
>   libtest-pod-perl po-debconf
> 0 upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B/3497kB of archives.
> After unpacking 11.1MB of additional disk space will be used.
> Selecting previously deselected package gettext-base.
> (Reading database ... 9958 files and directories currently installed.)
> Unpacking gettext-base (from .../gettext-base_0.15-2_i386.deb) ...
> Selecting previously deselected package libmagic1.
> Unpacking libmagic1 (from .../libmagic1_4.17-4_i386.deb) ...
> Selecting previously deselected package file.
> Unpacking file (from .../archives/file_4.17-4_i386.deb) ...
> Selecting previously deselected package html2text.
> Unpacking html2text (from .../html2text_1.3.2a-3_i386.deb) ...
> Selecting previously deselected package gettext.
> Unpacking gettext (from .../gettext_0.15-2_i386.deb) ...
> Selecting previously deselected package intltool-debian.
> Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
> Selecting previously deselected package po-debconf.
> Unpacking po-debconf (from .../po-debconf_1.0.7_all.deb) ...
> Selecting previously deselected package debhelper.
> Unpacking debhelper (from .../debhelper_5.0.40_all.deb) ...
> Selecting previously deselected package libio-stringy-perl.
> Unpacking libio-stringy-perl (from .../libio-stringy-perl_2.110-1_all.deb) ...
> Selecting previously deselected package libpod-escapes-perl.
> Unpacking libpod-escapes-perl (from .../libpod-escapes-perl_1.04-1_all.deb) ...
> Selecting previously deselected package libpod-simple-perl.
> Unpacking libpod-simple-perl (from .../libpod-simple-perl_3.04-1_all.deb) ...
> Selecting previously deselected package libtest-pod-perl.
> Unpacking libtest-pod-perl (from .../libtest-pod-perl_1.24-1_all.deb) ...
> Setting up gettext-base (0.15-2) ...
> 
> Setting up libmagic1 (4.17-4) ...
> 
> Setting up file (4.17-4) ...
> Setting up html2text (1.3.2a-3) ...
> 
> Setting up gettext (0.15-2) ...
> 
> Setting up intltool-debian (0.35.0+20060710.1) ...
> Setting up po-debconf (1.0.7) ...
> Setting up debhelper (5.0.40) ...
> Setting up libio-stringy-perl (2.110-1) ...
> 
> Setting up libpod-escapes-perl (1.04-1) ...
> Setting up libpod-simple-perl (3.04-1) ...
> Setting up libtest-pod-perl (1.24-1) ...
> Checking correctness of source dependencies...
> Toolchain package versions: libc6-dev_2.3.6.ds1-7 linux-kernel-headers_2.6.18-6 gcc-4.1_4.1.1-17 g++-4.1_4.1.1-17 binutils_2.17-3 libstdc++6-4.1-dev_4.1.1-17 libstdc++6_4.1.1-17
> ------------------------------------------------------------------------------
> gpg: Signature made Wed Mar 22 23:09:19 2006 CET using DSA key ID 5D64F870
> gpg: Can't check signature: public key not found
> dpkg-source: extracting libfile-homedir-perl in libfile-homedir-perl-0.56
> dpkg-source: unpacking libfile-homedir-perl_0.56.orig.tar.gz
> dpkg-source: applying /home/buildd/build/libfile-homedir-perl_0.56-1.diff.gz
> dpkg-buildpackage: source package is libfile-homedir-perl
> dpkg-buildpackage: source version is 0.56-1
> dpkg-buildpackage: host architecture i386
> dpkg-buildpackage: source version without epoch 0.56-1
>  /usr/bin/fakeroot debian/rules clean
> dh_testdir
> dh_testroot
> rm -f build-stamp
> [ ! -f Makefile ] || /usr/bin/make realclean
> dh_clean
>  debian/rules build
> dh_testdir
> /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
> *** Module::AutoInstall version 1.02
> *** Checking for Perl dependencies...
> [Core Features]
> - Test::More ...loaded. (0.62 >= 0.47)
> - File::Spec ...loaded. (3.12 >= 0.80)
> *** Module::AutoInstall configuration finished.
> Checking if your kit is complete...
> Looks good
> Writing Makefile for File::HomeDir
> /usr/bin/make OPTIMIZE="-O2 -g -Wall"
> make[1]: Entering directory `/build/buildd/libfile-homedir-perl-0.56'
> cp lib/File/HomeDir/Darwin.pm blib/lib/File/HomeDir/Darwin.pm
> cp lib/File/HomeDir.pm blib/lib/File/HomeDir.pm
> cp lib/File/HomeDir/Unix.pm blib/lib/File/HomeDir/Unix.pm
> cp lib/File/HomeDir/MacOS9.pm blib/lib/File/HomeDir/MacOS9.pm
> cp lib/File/HomeDir/Windows.pm blib/lib/File/HomeDir/Windows.pm
> Manifying blib/man3/File::HomeDir.3pm
> make[1]: Leaving directory `/build/buildd/libfile-homedir-perl-0.56'
> /usr/bin/make test
> make[1]: Entering directory `/build/buildd/libfile-homedir-perl-0.56'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/01_compile.t t/02_main.t t/99_pod.t
> t/01_compile....ok
> t/02_main.......
> #   Failed test 'Our home directory exists'
> #   in t/02_main.t at line 25.
> 
> #   Failed test 'Our home directory exists'
> #   in t/02_main.t at line 30.
> 
> #   Failed test 'Our home directory exists'
> #   in t/02_main.t at line 33.
> 
> #   Failed test 'Our documents directory exists'
> #   in t/02_main.t at line 38.
> 
> #   Failed test 'Our documents directory exists'
> #   in t/02_main.t at line 41.
> 
> #   Failed test 'Our local data directory exists'
> #   in t/02_main.t at line 46.
> 
> #   Failed test 'Our local data directory exists'
> #   in t/02_main.t at line 49.
> # Looks like you failed 7 tests of 23.
> dubious
> 	Test returned status 7 (wstat 1792, 0x700)
> DIED. FAILED tests 2, 4, 6, 8, 10, 12, 14
> 	Failed 7/23 tests, 69.57% okay (less 4 skipped tests: 12 okay, 52.17%)
> t/99_pod........ok
> Failed Test Stat Wstat Total Fail  Failed  List of Failed
> -------------------------------------------------------------------------------
> t/02_main.t    7  1792    23    7  30.43%  2 4 6 8 10 12 14
> 4 subtests skipped.
> Failed 1/3 test scripts, 66.67% okay. 7/35 subtests failed, 80.00% okay.
> make[1]: *** [test_dynamic] Error 255
> make[1]: Leaving directory `/build/buildd/libfile-homedir-perl-0.56'
> make: *** [build-stamp] Error 2
> ******************************************************************************
> Build finished at 20061028-0018
> FAILED [dpkg-buildpackage died]
> Purging chroot-unstable/build/buildd/libfile-homedir-perl-0.56
> ------------------------------------------------------------------------------
>   /usr/bin/sudo dpkg --root=/home/buildd/build/chroot-unstable --purge intltool-debian libpod-simple-perl libtest-pod-perl gettext file html2text gettext-base debhelper libio-stringy-perl po-debconf libmagic1 libpod-escapes-perl
> (Reading database ... 10702 files and directories currently installed.)
> Removing libtest-pod-perl ...
> Removing debhelper ...
> Removing libio-stringy-perl ...
> Removing po-debconf ...
> Removing intltool-debian ...
> Removing libpod-simple-perl ...
> Removing gettext ...
> Removing file ...
> Purging configuration files for file ...
> Removing html2text ...
> Purging configuration files for html2text ...
> Removing gettext-base ...
> Removing libmagic1 ...
> Purging configuration files for libmagic1 ...
> Removing libpod-escapes-perl ...
> ******************************************************************************
> Finished at 20061028-0018
> Build needed 00:00:08, 340k disk space

-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 395858@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Julien Danjou <acid@debian.org>
Cc: 395858@bugs.debian.org
Subject: Re: Bug#395858: libfile-homedir-perl: FTBFS: tests failed
Date: Sat, 28 Oct 2006 18:26:31 +0200
Hello Julien,


>> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/01_compile.t t/02_main.t t/99_pod.t
>> t/01_compile....ok
>> t/02_main.......
>> #   Failed test 'Our home directory exists'
>> #   in t/02_main.t at line 25.

if you are using autobuild, which user to do you use to autobuild my package?

If you use an user, that have no home directory this test fails. Or wrong
homedir, in /etc/passwd!


Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #15 received at 395858@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonas Genannt <jonas.genannt@capi2name.de>, 395858@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>
Subject: Re: Bug#395858: libfile-homedir-perl: FTBFS: tests failed
Date: Sat, 28 Oct 2006 12:46:02 -0700
On Sat, Oct 28, 2006 at 06:26:31PM +0200, Jonas Genannt wrote:

> >> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/01_compile.t t/02_main.t t/99_pod.t
> >> t/01_compile....ok
> >> t/02_main.......
> >> #   Failed test 'Our home directory exists'
> >> #   in t/02_main.t at line 25.

> if you are using autobuild, which user to do you use to autobuild my package?

> If you use an user, that have no home directory this test fails. Or wrong
> homedir, in /etc/passwd!

Then the test needs fixing, because autobuilders will not necessarily have
home directories for the buildd user, and packages need to build correctly
in such an environment because they're not supposed to mess with anything
outside the build tree.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 395858@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Steve Langasek <vorlon@debian.org>
Cc: 395858@bugs.debian.org, Julien Danjou <acid@debian.org>
Subject: Re: Bug#395858: libfile-homedir-perl: FTBFS: tests failed
Date: Sat, 28 Oct 2006 22:24:22 +0200
Steve Langasek wrote:
> Then the test needs fixing, because autobuilders will not necessarily have
> home directories for the buildd user, and packages need to build correctly
> in such an environment because they're not supposed to mess with anything
> outside the build tree.

We can rewrite the test that the test uses (not the current user that starts)
the root account to perform all tests.

But I think that's not a very clean solution, because than the current user
needs permission to access the /root directory.

Perhaps we should disable the make test in the build process?


Greets,
	Jonas




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #25 received at 395858@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 395858@bugs.debian.org, Julien Danjou <acid@debian.org>
Subject: Re: Bug#395858: libfile-homedir-perl: FTBFS: tests failed
Date: Tue, 31 Oct 2006 16:27:35 -0800
On Sat, Oct 28, 2006 at 10:24:22PM +0200, Jonas Genannt wrote:
> Steve Langasek wrote:
> > Then the test needs fixing, because autobuilders will not necessarily have
> > home directories for the buildd user, and packages need to build correctly
> > in such an environment because they're not supposed to mess with anything
> > outside the build tree.

> We can rewrite the test that the test uses (not the current user that starts)
> the root account to perform all tests.

> But I think that's not a very clean solution, because than the current user
> needs permission to access the /root directory.

That's a wrong solution.  You need to fix the package so that it doesn't
require writing to *any* external home directory during the build.  If you
need a "home directory" to use for tests, please set HOME=./tmp or similar,
creating the directory in the build target and deleting it in the clean
target.

> Perhaps we should disable the make test in the build process?

That's an option; I don't think setting HOME is an unreasonable solution, so
that's what I would recommend so that you can preserve the benefits of
having build-time tests, but dropping the tests wouldn't be the end of the
world either.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #30 received at 395858@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 395858@bugs.debian.org
Subject: NMU patch to fix this bug
Date: Sat, 11 Nov 2006 12:37:53 +0000
[Message part 1 (text/plain, inline)]
Patch corresponds to the NMU I've just uploaded.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Google-bait:       http://www.debian.org/CD/free-linux-cd
  Debian does NOT ship free CDs. Please do NOT contact the mailing
  lists asking us to send them to you.
[libfile-homedir-perl.nmu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 395858-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 395858-close@bugs.debian.org
Subject: Bug#395858: fixed in libfile-homedir-perl 0.56-1.1
Date: Sat, 11 Nov 2006 04:47:15 -0800
Source: libfile-homedir-perl
Source-Version: 0.56-1.1

We believe that the bug you reported is fixed in the latest version of
libfile-homedir-perl, which is due to be installed in the Debian FTP archive:

libfile-homedir-perl_0.56-1.1.diff.gz
  to pool/main/libf/libfile-homedir-perl/libfile-homedir-perl_0.56-1.1.diff.gz
libfile-homedir-perl_0.56-1.1.dsc
  to pool/main/libf/libfile-homedir-perl/libfile-homedir-perl_0.56-1.1.dsc
libfile-homedir-perl_0.56-1.1_all.deb
  to pool/main/libf/libfile-homedir-perl/libfile-homedir-perl_0.56-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 395858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated libfile-homedir-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 11 Nov 2006 12:27:32 +0200
Source: libfile-homedir-perl
Binary: libfile-homedir-perl
Architecture: source all
Version: 0.56-1.1
Distribution: unstable
Urgency: medium
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 libfile-homedir-perl - Get the home directory for yourself or other users in Perl
Closes: 395858
Changes: 
 libfile-homedir-perl (0.56-1.1) unstable; urgency=medium
 .
   * NMU from the Helsinki BSP
   * Medium urgency for RC bugfix
   * Force the build-time test to stay inside the build tree. Closes: #395858
Files: 
 8f2dd09dd9b14545988871f83b1d6329 679 perl optional libfile-homedir-perl_0.56-1.1.dsc
 5db4354a70ccff42cb4712c608e0f371 1769 perl optional libfile-homedir-perl_0.56-1.1.diff.gz
 69aa1a65e5637ac9797442531be933cc 14046 perl optional libfile-homedir-perl_0.56-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFVcP4fDt5cIjHwfcRAryzAJ41Mj0OsSCDaCYfmnpVA9ev9v3NLQCfRb/1
MVd4Kafpm5gvvGV2YfSj/38=
=4ESh
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #42 received at 395858@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Steve McIntyre <steve@einval.com>
Cc: 395858@bugs.debian.org
Subject: Re: Bug#395858: libfile-homedir-perl: FTBFS: tests failed
Date: Fri, 09 Feb 2007 15:59:46 +0100
Hello,

the fix from Version 0.56-1 does not work in the current version (0.64).

Upstream included more tests about $HOME and home from /etc/passwd so 
the easy fix to change only $HOME in shell does not work.

I will now disable the complete make test in build process and upload 
the new version 0.64 in few hours.


Greets,
	Jonas



Reply sent to Jonas Genannt <jonas.genannt@capi2name.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 395858-close@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 395858-close@bugs.debian.org
Subject: Bug#395858: fixed in libfile-homedir-perl 0.64-1
Date: Sat, 10 Feb 2007 10:02:29 +0000
Source: libfile-homedir-perl
Source-Version: 0.64-1

We believe that the bug you reported is fixed in the latest version of
libfile-homedir-perl, which is due to be installed in the Debian FTP archive:

libfile-homedir-perl_0.64-1.diff.gz
  to pool/main/libf/libfile-homedir-perl/libfile-homedir-perl_0.64-1.diff.gz
libfile-homedir-perl_0.64-1.dsc
  to pool/main/libf/libfile-homedir-perl/libfile-homedir-perl_0.64-1.dsc
libfile-homedir-perl_0.64-1_all.deb
  to pool/main/libf/libfile-homedir-perl/libfile-homedir-perl_0.64-1_all.deb
libfile-homedir-perl_0.64.orig.tar.gz
  to pool/main/libf/libfile-homedir-perl/libfile-homedir-perl_0.64.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 395858@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Genannt <jonas.genannt@capi2name.de> (supplier of updated libfile-homedir-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 9 Feb 2007 14:35:34 +0100
Source: libfile-homedir-perl
Binary: libfile-homedir-perl
Architecture: source all
Version: 0.64-1
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Jonas Genannt <jonas.genannt@capi2name.de>
Description: 
 libfile-homedir-perl - Get the home directory for yourself or other users in Perl
Closes: 395858
Changes: 
 libfile-homedir-perl (0.64-1) unstable; urgency=low
 .
   * New Upstream Release
   * bumped Standards-Version to 3.7.2 (no changes needed)
   * removed make test from build (Closes: #395858)
Files: 
 0f83b0496c4ad8bba4e426a7fca1ed6a 675 perl optional libfile-homedir-perl_0.64-1.dsc
 6fc8be36a3f5e04c39530f150593e520 35370 perl optional libfile-homedir-perl_0.64.orig.tar.gz
 eadb8fd7c8ddc721b53664310abddd88 1829 perl optional libfile-homedir-perl_0.64-1.diff.gz
 ca8e6cc1fdc68c918821917419565108 27080 perl optional libfile-homedir-perl_0.64-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFzZSs+C5cwEsrK54RAmyPAJsFIs/LrBS7KnsbirXCnw/LICBy3QCgyPwu
vtElnajdApYhDfuViPyTGnU=
=cvIg
-----END PGP SIGNATURE-----




Bug marked as not found in version 0.56-1.1. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#395858; Package libfile-homedir-perl. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #54 received at 395858@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 395858@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#395858: libfile-homedir-perl: FTBFS: tests failed
Date: Sun, 11 Feb 2007 01:45:47 +0100
close 395858 libfile-homedir-perl/0.56-1.1
thanks

Jonas Genannt <jonas.genannt@capi2name.de> writes:
> the fix from Version 0.56-1 does not work in the current version (0.64).

Yes. This doesn't change the fact that this bug is fixed in version
0.56-1.1. Please don't mess around with the versioning of bugs (ie,
don't use reopen when "found" is what you want), it makes tracking bugs
harder than it needs to be. In this case, reopening was completly
unneeded, as a buggy version of 0.64 never entered the archive.

Marc
-- 
BOFH #32:
techtonic stress



Bug marked as not found in version 0.56-1.1. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as not found in version 0.64-1. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 0.56-1.1, send any further explanations to Julien Danjou <acid@debian.org> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 01:39:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:27:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.